[debian-mysql] Bug#587802: mysql-server-5.1: SQL error during upgrade: ALTER TABLE user ADD column Show_view_priv

Jon Daley debian at jon.limedaley.com
Thu Jul 1 18:18:13 UTC 2010

Package: mysql-server-5.1
Version: 5.1.47-1~bpo50+1
Severity: normal

During an upgrade, I got this log/error message:

mysqld_safe[22400]: 100701 13:31:45  InnoDB: Shutdown completed; log sequence number 0 1420492447
mysqld_safe[22435]: 100701 13:31:45 [Note] Plugin 'FEDERATED' is disabled.
mysqld_safe[22435]: 100701 13:31:46  InnoDB: Started; log sequence number 0 1420492447
mysqld_safe[22435]: ERROR: 1064  You have an error in your SQL syntax; check the manual that 
corresponds to your MySQL server version for the right syntax to use near 'ALTER TABLE user ADD column Show_view_priv 
enum('N','Y') CHARACTER SET utf8 NOT ' at line 1
mysqld_safe[22435]: 100701 13:31:46 [ERROR] Aborting
mysqld_safe[22435]: 100701 13:31:46  InnoDB: Starting shutdown...

-- System Information:
Debian Release: 5.0.5
  APT prefers proposed-updates
  APT policy: (500, 'proposed-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash

Versions of packages mysql-server-5.1 depends on:
ii  adduser                3.110             add and remove users and groups
ii  debconf [debconf-2.0]  1.5.24            Debian configuration management sy
ii  libc6                  2.7-18lenny4      GNU C Library: Shared libraries
ii  libdbi-perl            1.605-1           Perl5 database interface by Tim Bu
ii  libgcc1                1:4.3.4-6~bpo50+1 GCC support library
ii  libmysqlclient16       5.1.47-1~bpo50+1  MySQL database client library
ii  libstdc++6             4.3.4-6~bpo50+1   The GNU Standard C++ Library v3
ii  lsb-base               3.2-20            Linux Standard Base 3.2 init scrip
ii  mysql-client-5.1       5.1.47-1~bpo50+1  MySQL database client binaries
ii  mysql-common           5.1.47-1~bpo50+1  MySQL database common files, e.g. 
ii  mysql-server-core-5.1  5.1.47-1~bpo50+1  MySQL database server binaries
ii  passwd                 1:4.1.1-6+lenny1  change and administer password and
ii  perl                   5.10.0-19lenny2   Larry Wall's Practical Extraction 
ii  psmisc                 22.6-1            Utilities that use the proc filesy
ii  zlib1g                 1: compression library - runtime

Versions of packages mysql-server-5.1 recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20071201cvs-3 A simple mail user agent
ii  libhtml-template-p 2.9-1                 HTML::Template : A module for usin
ii  mailx              1:20071201-3          Transitional package for mailx ren

Versions of packages mysql-server-5.1 suggests:
pn  tinyca                        <none>     (no description available)

-- debconf information:
  mysql-server-5.1/postrm_remove_databases: false
  mysql-server-5.1/really_downgrade: false
  mysql-server-5.1/start_on_boot: true

More information about the pkg-mysql-maint mailing list